/

15 tháng 2, 2016

Hướng dẫn sử dụng Array mới trong trong AutoCAD

Kể từ phiên bản AutoCAD 2012, hãng AutoDESK đã giới thiệu loại Array với rất nhiều cải tiến.

Tuy nhiên, dường như sự phức tạp trong việc lệnh Array cũng tỉ lệ thuận với tính năng của Array mới này.

Trong clip dưới đây, người viết muốn giới thiệu với bạn đọc:
  • Lệnh ARRAYCLASSIC (hay ARRAY trong các phiên bản cũ)
  • Lệnh ARRAY trong phiên bản mới 2012 2013 2014 2015 2016 2017...
  • Đặc biệt, lệnh AR được viết lại cho dễ sử dụng hơn. Bạn không cần quan tâm nhiều đến các thông số Columns, Rows, ... . Chỉ cần chọn đối tượng, xác định khoảng cách, là bạn đã có một Array vô cùng tiện lợi.


Download tại: Mediafire (AR.lsp)



Code:
(defun c:ar ( / ss p1 p2 therows thecols drows dcols)
(vl-load-com)
(setq ss (ssget "_:L"))
(setq p1 (getpoint " Specify first point: "))
(setq p2 (getpoint p1 " Specify second point: "))
(if (and p1 p2)
(progn
(if (= (car p1) (car p2))
(setq therows 2 thecols 1 drows (- (cadr p2) (cadr p1)) dcols (- (cadr p2) (cadr p1)))
(if (= (cadr p1) (cadr p2))
(setq therows 1 thecols 2 drows (- (car p2) (car p1)) dcols (- (car p2) (car p1)))
(setq therows 2 thecols 2 drows (- (cadr p2) (cadr p1)) dcols (- (car p2) (car p1)))
)
)
(vla-sendcommand
(vla-get-activedocument (vlax-get-acad-object))
(strcat "array\rp\r\rR\rROW\r" (itoa therows) "\n" (rtos drows 2 10) "\n\nCOL\r" (itoa thecols) "\r" (rtos dcols 2 10) "\r\r")
)
)
)
(princ "\nwww.tankhanh.com.vn")
(princ)
)

Không có nhận xét nào:

Đăng nhận xét